Get LinkedIn profile by URN
curl --request GET \
--url https://app.tryordinal.com/api/v1/linkedin/profile/{urn} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/linkedin/profile/{urn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryordinal.com/api/v1/linkedin/profile/{urn}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryordinal.com/api/v1/linkedin/profile/{urn}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"urn": "urn:li:person:ABC123xyz",
"username": "johndoe",
"name": "John Doe",
"profileImageUrl": "https://media.licdn.com/dms/image/photo.jpg",
"type": "User"
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}LinkedIn
Get LinkedIn profile by URN
Look up a LinkedIn user or organization by their URN (e.g. urn:li:person:xyz or urn:li:organization:xyz) to get the username, name, and profile picture.
GET
/
linkedin
/
profile
/
{urn}
Get LinkedIn profile by URN
curl --request GET \
--url https://app.tryordinal.com/api/v1/linkedin/profile/{urn} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/linkedin/profile/{urn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryordinal.com/api/v1/linkedin/profile/{urn}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryordinal.com/api/v1/linkedin/profile/{urn}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryordinal.com/api/v1/linkedin/profile/{urn}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"urn": "urn:li:person:ABC123xyz",
"username": "johndoe",
"name": "John Doe",
"profileImageUrl": "https://media.licdn.com/dms/image/photo.jpg",
"type": "User"
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Authorizations
API key authentication. Generate an API key from your workspace settings.
Path Parameters
LinkedIn URN of the person or organization (e.g. urn:li:person:abc123 or urn:li:organization:99999)
Minimum string length:
1Pattern:
^urn:li:(person|organization):.+Response
LinkedIn profile information
LinkedIn URN of the account
LinkedIn vanity name (username)
Display name of the account
URL of the profile image, or null if not available
Type of the LinkedIn account
Available options:
User, Organization Was this page helpful?